import { isSome } from "@reactive-js/option";
import { decodeHttpContent } from "./httpContent";
export const decodeHttpRequest = (options = {}) => request => {
    const { content } = request;
    return isSome(content) && content.contentEncodings.length > 0
        ? Object.assign(Object.assign({}, request), { content: decodeHttpContent(content, options) }) : request;
};
//# sourceMappingURL=httpRequest.js.map